/*
 * trackinfo.h
 */

#ifndef __TRACKINFO_H
#define __TRACKINFO_H

#include <string>


class cTrackInfo {
private:
        std::string recpath, path, artist, title, album, genre, comment,
                channel, event, recdate, rectime, codec;
        int track, year;
        
        void string_toupper(std::string &str);
public:
        cTrackInfo(void);
        
        void clear(void);
        
        void set_recpath(const std::string &_recpath);
        void set_path(void);
        void set_path(const std::string &_path); 
        void set_date(const char *_date); 
        void set_time(const char *_time); 
        void set_artist(const char *_artist);
        void set_title(const char *_title);
        void set_album(const char *_album);
        void set_track(int _track);
        void set_year(int _year);
        void set_genre(const char *_genre);
        void set_comment(const char *_comment);
        void set_channel(const std::string &_channel);
        void set_event(const std::string &_event);
        void set_codec(const char *_codec);
        
        std::string get_recpath(void) const { return recpath; }
        std::string get_path(void) const { return path; }
        std::string get_date(void) const { return recdate; }
        std::string get_time(void) const { return rectime; }
        std::string get_artist(void) const { return artist; }
        std::string get_title(void) const { return title; }
        std::string get_album(void) const { return album; }
        int get_track(void) const { return track; }
        int get_year(void) const { return year; }
        std::string get_genre(void) const { return genre; }
        std::string get_comment(void) const { return comment; }
        std::string get_channel(void) const { return channel; }
        std::string get_event(void) const { return event; }
        std::string get_codec(void) const { return codec; }
};
#endif /* __TRACKINFO_H */
